PHP-инклюдинг в Mambo UHP

Дата публикации:
02.08.2006
Дата изменения:
08.04.2009
Всего просмотров:
11104
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
UHP 0.x (компонент к Joomla)
Уязвимые версии: UHP (компонент к Mambo) 0.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценариях administrator/components/com_uhp/uhp_config.php и administrator/components/com_uhp/footer.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://victim/administrator/components/com_uhp/uhp_config.php?
mosConfig_absolute_path=y0urscripts.txt?&cmd=id

URL производителя:

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
08.04.2009
Изменена секция "Решение"

Ссылки: Mambo User Home Pages Component <= 0.5 Remote Include Vulnerability

или введите имя

CAPTCHA